# Uses of Interface
javax.annotation.processing.Processor

Packages that use Processor
Package
Description
javax.annotation.processing
Facilities for declaring annotation processors and for allowing annotation processors to communicate with an annotation processing tool environment.
javax.tools
Provides interfaces for tools which can be invoked from a program, for example, compilers.

## Uses of Processor in javax.annotation.processing

Classes in javax.annotation.processing that implement Processor
Modifier and Type
Class
Description
`class`
`AbstractProcessor`
An abstract annotation processor designed to be a convenient superclass for most concrete annotation processors.

## Uses of Processor in javax.tools

Method parameters in javax.tools with type arguments of type Processor
Modifier and Type
Method
Description
`void`
JavaCompiler.CompilationTask.`setProcessors​(Iterable<? extends Processor> processors)`
Sets processors (for annotation processing).